var _init=false;
var _inspector={};
var _libVersion=0.0;

function clientInit() {
	_inspector['inspector']=oFindChild(document, 'TABLE', 'inspector');
	if (!_inspector['inspector']) {
		alert('Error. inspector division not found.');
		return;
	}

	_inspector['button']=oFindChild(_inspector['inspector'], 'TD', 'button');
	_inspector['content']=oFindChild(_inspector['inspector'], 'TD', 'content');
		_inspector['title_table']=oFindChild(_inspector['inspector'], 'A', 'title_table');
		_inspector['title_view']=oFindChild(_inspector['inspector'], 'A', 'title_view');
		_inspector['title_index']=oFindChild(_inspector['inspector'], 'A', 'title_index');
		_inspector['title_trigger']=oFindChild(_inspector['inspector'], 'A', 'title_trigger');
		_inspector['table']=oFindChild(_inspector['inspector'], 'DIV', 'table');
		_inspector['view']=oFindChild(_inspector['inspector'], 'DIV', 'view');
		_inspector['index']=oFindChild(_inspector['inspector'], 'DIV', 'index');
		_inspector['trigger']=oFindChild(_inspector['inspector'], 'DIV', 'trigger');
	_inspector['ddl']=oFindChild(_inspector['inspector'], 'DIV', 'ddl');

	_inspector['inspectorHider']=oFindChild(document, 'A', 'hider');
	_inspector['canvas']=oFindChild(document, 'DIV', 'canvas');

	/*
	addEvent(document, 'mousemove', eventListener);
	addEvent(document, 'mousedown', eventListener);
	addEvent(document, 'mouseup', eventListener);
	addEvent(document, 'scroll', eventListener);
	*/
	addEvent(window, 'resize', clientResize);
	addEvent(document, 'click', divHide);
	addEvent(_inspector['inspectorHider'], 'click', inspectorToggle);

	_init=true;

	authInit();
	boxInit();
	boxGridInit();

	clientResize();
}

function clientResize() {
	if (_init) {
		_inspector['inspectorHider'].style.top=document.body.clientHeight-_inspector['inspectorHider'].offsetHeight;
		_inspector['content'].style.height=Math.max(1, document.body.clientHeight-_inspector['button'].offsetHeight-_inspector['ddl'].parentNode.offsetHeight-(30+(_isIE?0:12)));
	}
}

function clientVersionCheck(dbRes) {
	if (dbRes && dbRes.message)
		_libVersion=parseFloat(dbRes.message[0].replace(/^3\./, ''));
}

function clientLoginFinish(dbRes) {
	_inspector['content'].style.display='block';
	_inspector['ddl'].style.display='block';
	_inspector['inspector'].style.display='none';
	inspectorToggle();
	inspectorDdlClear();
	inspectorTableListDraw(dbRes);
	lHide();
	if (_libVersion <= 0)
		dbExecCommand('show version', clientVersionCheck);
	dbExecCommand('show index', inspectorIndexListDraw);
	dbExecCommand('show trigger', inspectorTriggerListDraw);
}

loadJs('auth.js');
loadJs('inspector.js');
loadJs('box.js');
loadJs('db.js');
loadJs('syntax.js');
